import { Injector, ComponentFactoryResolver, ApplicationRef, Type } from '@angular/core';
export declare class DynamicComponentService {
    private injector;
    private resolver;
    private appRef;
    private compRef;
    constructor(injector: Injector, resolver: ComponentFactoryResolver, appRef: ApplicationRef);
    injectComponent<T>({ component, propertySetter }: {
        component: Type<T>;
        propertySetter?: (type: T) => void;
    }): HTMLDivElement;
}
